namespace EorzeaVotes.Config;

// For statistical breakdowns, a text box is not useful. Other not included to
// not "other" people.
internal enum Gender {
    Female,
    NonBinary,
    Male,
}

internal static class GenderExt {
    internal static string Name(this Gender? gender) {
        return gender switch {
            null => "Unspecified",
            _ => gender.Value.Name(),
        };
    }

    internal static string Name(this Gender gender) {
        return gender switch {
            Gender.Female => "Female",
            Gender.NonBinary => "Non-binary",
            Gender.Male => "Male",
            _ => throw new ArgumentException("unexpected gender", nameof(gender)),
        };
    }
}
