namespace EorzeaVotes.Utilities;

internal static class Util {
    internal static string SnakeToHuman(string text) {
        var replaced = text.Replace("_", " ");

        if (replaced == "Non binary") {
            return "Non-binary";
        }

        return $"{replaced[..1].ToUpperInvariant()}{replaced[1..]}";
    }

    internal static string TitleCase(string text) {
        var parts = text.Trim().Split(' ');
        var capitalised = parts.Select(part => $"{part[..1].ToUpperInvariant()}{part[1..]}");
        return string.Join(' ', capitalised);
    }
}
