create table users (
    id uuid not null primary key,
    api_key_hash bytea not null
);

create table questions (
    id uuid not null primary key,
    publish_date timestamp with time zone not null,
    question_text text not null,
    answers text[] not null
);

create table responses (
    user_id uuid references users (id) on delete set null,
    question_id uuid not null references questions (id) on delete cascade,
    answer smallint not null,
    country text not null,

    primary key (user_id, question_id)
);
